Page MenuHomePhabricator

Patch adding caches to MediaWikiServices caused Cognate services to not correctly register
Closed, ResolvedPublic

Description

A combination of https://gerrit.wikimedia.org/r/#/c/313456/4 and https://gerrit.wikimedia.org/r/#/c/313351/3 result in services in the Cognate extension to not correctly get registered.

This can be seen in the tests or while loading a page on a wiki with the extension enabled.

6) Cognate\Tests\ServiceWiringTest::testServiceWiring with data set #0 ('CognateStore', 'Cognate\CognateStore')
MediaWiki\Services\NoSuchServiceException: No such service: CognateStore

mediawiki\includes\services\ServiceContainer.php:364
mediawiki\includes\services\ServiceContainer.php:344
mediawiki\extensions\Cognate\tests\phpunit\ServiceWiringTest.php:26
mediawiki\tests\phpunit\MediaWikiTestCase.php:392
mediawiki\maintenance\doMaintenance.php:110

Details

Related Gerrit Patches:

Event Timeline

Addshore created this task.Oct 17 2016, 1:55 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 17 2016, 1:55 PM

Are they are more useful/direct traces?

Change 316540 had a related patch set uploaded (by Addshore):
MWServices load new ServiceWiringFiles after ExtRegistry load

https://gerrit.wikimedia.org/r/316540

Addshore moved this task from incoming to in progress on the Wikidata board.Oct 18 2016, 1:07 PM

Change 316540 merged by jenkins-bot:
MWServices load new ServiceWiringFiles after ExtRegistry load

https://gerrit.wikimedia.org/r/316540

Addshore closed this task as Resolved.Oct 19 2016, 2:10 PM
Addshore moved this task from Review to Done on the WMDE-QWERTY-Team-Experimental-Sprint board.
Addshore moved this task from Active 🚁 to Closing ✔️ on the User-Addshore board.